﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{51632FE5-670C-4F64-8BAB-705583A3FF46}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WSS.BO.DataLayer.Model</RootNamespace>
    <AssemblyName>WSS.BO.DataLayer.Model</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="BLToolkit.3">
      <HintPath>..\..\..\packages\BLToolkit.4.3.2\lib\net35\BLToolkit.3.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Constants\AlertType.cs" />
    <Compile Include="Constants\AuthorizationType.cs" />
    <Compile Include="Constants\ControlFileName.cs" />
    <Compile Include="Constants\ControlFileType.cs" />
    <Compile Include="Constants\DeliverySlotType.cs" />
    <Compile Include="Constants\EventType.cs" />
    <Compile Include="Constants\FilePathPart.cs" />
    <Compile Include="Constants\LengthLimitations.cs" />
    <Compile Include="Constants\NitmasTaskId.cs" />
    <Compile Include="Constants\OrderConsignmentRefundStatus.cs" />
    <Compile Include="Constants\OrderConsignmentStatus.cs" />
    <Compile Include="Constants\ExternalRequestSourceTemplate.cs" />
    <Compile Include="Constants\ExternalRequestStatus.cs" />
    <Compile Include="Constants\ExternalRequestType.cs" />
    <Compile Include="Constants\Global.cs" />
    <Compile Include="Constants\LineReversalReasonCode.cs" />
    <Compile Include="Constants\MiscInReasonCode.cs" />
    <Compile Include="Constants\OpenDrawerReasonCode.cs" />
    <Compile Include="Constants\PaidOutReasonCode.cs" />
    <Compile Include="Constants\ParameterId.cs" />
    <Compile Include="Constants\PriceOverrideReasonCode.cs" />
    <Compile Include="Constants\RefundReasonCode.cs" />
    <Compile Include="Constants\RestrictedItemConfirmationText.cs" />
    <Compile Include="Constants\RtiStatus.cs" />
    <Compile Include="Constants\SkuSaleTypeAttribute.cs" />
    <Compile Include="Constants\StockAdjustmentCodeNumber.cs" />
    <Compile Include="Constants\StockAdjustmentMovedOrWriteOffType.cs" />
    <Compile Include="Constants\SystemCodeType.cs" />
    <Compile Include="Constants\TenderType.cs" />
    <Compile Include="Constants\TransactionCodes.cs" />
    <Compile Include="Constants\TransactionTypeForCard.cs" />
    <Compile Include="Constants\TypeOfMovement.cs" />
    <Compile Include="Constants\VersionMarker.cs" />
    <Compile Include="Entities\ActivityLog.cs" />
    <Compile Include="Entities\CompetitorFixedList.cs" />
    <Compile Include="Entities\CompetitorLocalList.cs" />
    <Compile Include="Entities\CouponMaster.cs" />
    <Compile Include="Entities\DeliveryChargeGroup.cs" />
    <Compile Include="Entities\DeliveryChargeGroupValue.cs" />
    <Compile Include="Entities\Dlcoupon.cs" />
    <Compile Include="Entities\DrlDetails.cs" />
    <Compile Include="Entities\ExternalRequestDetails\UserManagmentRequestDetails.cs" />
    <Compile Include="Entities\GapWalk.cs" />
    <Compile Include="Entities\GapWalkReportLine.cs" />
    <Compile Include="Entities\Locks.cs" />
    <Compile Include="Entities\MenuConfig.cs" />
    <Compile Include="Entities\Nitlog.cs" />
    <Compile Include="Entities\CustomerOrderText.cs" />
    <Compile Include="Entities\NonPersistent\DeliveryChargeContainer.cs" />
    <Compile Include="Entities\NonPersistent\IUser.cs" />
    <Compile Include="Entities\NonPersistent\StockUpdateForPriceChanges.cs" />
    <Compile Include="Entities\NonTradingDay.cs" />
    <Compile Include="Entities\ProfilemenuAccess.cs" />
    <Compile Include="Entities\PurchaseOrderHeader.cs" />
    <Compile Include="Entities\PurchaseOrderLine.cs" />
    <Compile Include="Entities\RelatedItem.cs" />
    <Compile Include="Entities\Report.cs" />
    <Compile Include="Entities\ReportColumn.cs" />
    <Compile Include="Entities\ReportColumns.cs" />
    <Compile Include="Entities\ReportGrouping.cs" />
    <Compile Include="Entities\ReportHyperlink.cs" />
    <Compile Include="Entities\ReportParameters.cs" />
    <Compile Include="Entities\ReportRelation.cs" />
    <Compile Include="Entities\ReportSummary.cs" />
    <Compile Include="Entities\ReportTable.cs" />
    <Compile Include="Entities\SafeBagScanned.cs" />
    <Compile Include="Entities\SafeBagsDenoms.cs" />
    <Compile Include="Entities\StockAdjustmentCode.cs" />
    <Compile Include="Entities\ControlFile.cs" />
    <Compile Include="Entities\TenderControl.cs" />
    <Compile Include="Entities\TenderOption.cs" />
    <Compile Include="Entities\TillTosControl.cs" />
    <Compile Include="Entities\TillTosOption.cs" />
    <Compile Include="Entities\TillTosTenderAllowed.cs" />
    <Compile Include="Entities\VisionPayment.cs" />
    <Compile Include="Entities\SafeBags.cs" />
    <Compile Include="Entities\SkuInfo.cs" />
    <Compile Include="Entities\NonPersistent\DeliverySlot.cs" />
    <Compile Include="Entities\Syscod.cs" />
    <Compile Include="Entities\CustomerOrderLine2.cs" />
    <Compile Include="Entities\CustomerOrderRefund.cs" />
    <Compile Include="Entities\Dlanas.cs" />
    <Compile Include="Entities\Alert.cs" />
    <Compile Include="Entities\CardList.cs" />
    <Compile Include="Entities\CardScheme.cs" />
    <Compile Include="Entities\CashBalCashier.cs" />
    <Compile Include="Entities\CashBalCashierTen.cs" />
    <Compile Include="Entities\CashBalCashierTenVar.cs" />
    <Compile Include="Entities\CashierFlashTotal.cs" />
    <Compile Include="Entities\CustomerOrderHeader.cs" />
    <Compile Include="Entities\CustomerOrderHeader4.cs" />
    <Compile Include="Entities\CustomerOrderLine.cs" />
    <Compile Include="Entities\DailyCustomer.cs" />
    <Compile Include="Entities\DailyGiftCard.cs" />
    <Compile Include="Entities\DailyGiftToken.cs" />
    <Compile Include="Entities\DailyReformattedTillTotals.cs" />
    <Compile Include="Entities\DailyTillLine.cs" />
    <Compile Include="Entities\DailyTillTranKey.cs" />
    <Compile Include="Entities\Dlcomm.cs" />
    <Compile Include="Entities\Dleanchk.cs" />
    <Compile Include="Entities\Dlevnt.cs" />
    <Compile Include="Entities\Dlocus.cs" />
    <Compile Include="Entities\Dlolin.cs" />
    <Compile Include="Entities\Dlpaid.cs" />
    <Compile Include="Entities\Dlreject.cs" />
    <Compile Include="Entities\Dltots.cs" />
    <Compile Include="Entities\DrlSummary.cs" />
    <Compile Include="Entities\Eanmas.cs" />
    <Compile Include="Entities\EventChange.cs" />
    <Compile Include="Entities\EventDealGroup.cs" />
    <Compile Include="Entities\EventHeader.cs" />
    <Compile Include="Entities\EventMaster.cs" />
    <Compile Include="Entities\Evtenq.cs" />
    <Compile Include="Entities\ExternalRequest.cs" />
    <Compile Include="Entities\ExternalRequestDetails\ConsignmentRequestDetails.cs" />
    <Compile Include="Entities\ExternalRequestDetails\ConsignmentRequestDetailsExtended.cs" />
    <Compile Include="Entities\ExternalRequestDetails\IExternalRequestDetails.cs" />
    <Compile Include="Entities\ExternalRequestDetails\UpdateCapacityRequestDetails.cs" />
    <Compile Include="Entities\ExternalRequestDetails\UpdateCapacityRequestDetailsExtended.cs" />
    <Compile Include="Entities\GiftToken.cs" />
    <Compile Include="Entities\HierarchyWord.cs" />
    <Compile Include="Entities\IDailyTillTranKey.cs" />
    <Compile Include="Entities\NetworkIdSystem.cs" />
    <Compile Include="Entities\NightlyProcedure.cs" />
    <Compile Include="Entities\NonPersistent\DltotsUpdate.cs" />
    <Compile Include="Entities\NonPersistent\ISyncronizedToRti.cs" />
    <Compile Include="Entities\NonPersistent\Settings.cs" />
    <Compile Include="Entities\CustomerOrderHeader5.cs" />
    <Compile Include="Entities\OrderSourceCode.cs" />
    <Compile Include="Entities\Parameter.cs" />
    <Compile Include="Entities\PicCountDetailFile.cs" />
    <Compile Include="Entities\PicCountHeaderFile.cs" />
    <Compile Include="Entities\PriceChange.cs" />
    <Compile Include="Entities\QuoteHeader.cs" />
    <Compile Include="Entities\QuoteLine.cs" />
    <Compile Include="Entities\RetailOptions.cs" />
    <Compile Include="Entities\Rscash.cs" />
    <Compile Include="Entities\Rsflas.cs" />
    <Compile Include="Entities\Rstill.cs" />
    <Compile Include="Entities\Safe.cs" />
    <Compile Include="Entities\SafeDenomination.cs" />
    <Compile Include="Entities\Sku.cs" />
    <Compile Include="Entities\SkuWord.cs" />
    <Compile Include="Entities\Stklog.cs" />
    <Compile Include="Entities\StockAdjustmentFile.cs" />
    <Compile Include="Entities\StockMaster.cs" />
    <Compile Include="Entities\NonPersistent\StockUpdate.cs" />
    <Compile Include="Entities\SupplierMaster.cs" />
    <Compile Include="Entities\SystemCode.cs" />
    <Compile Include="Entities\SystemCurrency.cs" />
    <Compile Include="Entities\SystemDate.cs" />
    <Compile Include="Entities\Sysnum.cs" />
    <Compile Include="Entities\SystemNumbers.cs" />
    <Compile Include="Entities\SystemOption.cs" />
    <Compile Include="Entities\SystemPeriods.cs" />
    <Compile Include="Entities\SystemUser.cs" />
    <Compile Include="IDataLayerFactory.cs" />
    <Compile Include="IUnitOfWork.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Entities\Zreads.cs" />
    <Compile Include="Repositories\IAlertRepository.cs" />
    <Compile Include="Repositories\ICashierBalanceRepository.cs" />
    <Compile Include="Repositories\IControlFileRepository.cs" />
    <Compile Include="Repositories\ICouponRepository.cs" />
    <Compile Include="Repositories\IDeliveryChargeRepository.cs" />
    <Compile Include="Repositories\INitmasRepository.cs" />
    <Compile Include="Repositories\IRelatedItemRepository.cs" />
    <Compile Include="Repositories\IRepositoryConnectionFactory.cs" />
    <Compile Include="Repositories\ICustomerOrderRepository.cs" />
    <Compile Include="Repositories\IDailyTillRepository.cs" />
    <Compile Include="Repositories\IDictionariesRepository.cs" />
    <Compile Include="Repositories\IExternalRequestRepository.cs" />
    <Compile Include="Repositories\IRepository.cs" />
    <Compile Include="Repositories\IRepositoriesFactory.cs" />
    <Compile Include="Repositories\ISafeRepository.cs" />
    <Compile Include="Repositories\IStockRepository.cs" />
    <Compile Include="Repositories\IUserRepository.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>